<% include ./templates/header.ejs%>

<div class="container post">
    <img id="cover_book" alt="a cover of a book" src="/pics/books/<%=postInfo.picture%>">
        <h1 id="show_Title"><%=postInfo.title%>
            <br>
        <%=postInfo.name%></h1>
    <div>
    <% for (var i=0; i<postInfo.rating; i++){%>
        <i class="fas fa-star"></i>
        <% }%>
        
    <% for (var i=postInfo.rating; i<10; i++){%>
        <i class="far fa-star"></i>
        <% }%>
    </div>
    <div>
        <% if (postInfo.quote !="null") {%>
         <br>
         <%- postInfo.quote %> 
        <%} %>
    </div>
    <br>
    <div>
        <% if (postInfo.note!="null") {%>
         <%- postInfo.note%> 
        <%} %>
    </div>
    <br>
    <div id="tags">
        Tags
        <% tagsList.forEach(function(tag) {%>
        <a href="/show/tags/<%=tag%>"><%= tag%></a>
        <%});%>
    </div>
    <div id="date">
        <em>Created <%= postInfo.created%></em>
    </div>
    <br>
    <a href="/blog">Back</a>
</div>
<% include ./templates/footer.ejs%>
